#ifndef _CFF_LIMITS_H_
#define _CFF_LIMITS_H_

#include <limits.h>

#define CFF_INT_MAX 0x7fffffff
#define CFF_INT_MIN (-0x7fffffff - 1)

#if (LONG_MAX < CFF_INT_MAX || LONG_MIN > CFF_INT_MIN)
#error "CFF support won't work on this system."
#endif

#define CFF_SID_MAX    64999
#define CFF_STDSTR_MAX 391

/* Type 2 Charstring */
#define CS_NUM_SUBR_MAX    65536
#define CS_STR_LEN_MAX     65536
#define CS_STEM_ZONE_MAX   96
#define CS_ARG_STACK_MAX   48
#define CS_TRANS_ARRAY_MAX 32
#define CS_SUBR_NEST_MAX   10

#endif /* _CFF_LIMITS_H_ */
