#ifndef _TT_BUILD_H_
#define _TT_BUILD_H_

/*
  glyph with id = gid is mapped to new id = newgid.
  width for Widths and W (CIDFont) array.
  need bbox info. for W2 array build.
*/
struct glyph_desc
{
  USHORT gid;
  USHORT newgid;
  ULONG  offset;
  USHORT width;
};

struct tt_glyphs
{
  USHORT num_glyphs;
  USHORT max_glyphs;
  USHORT last_gid;
  USHORT emsize;
  struct glyph_desc *used_glyphs;
};

extern struct tt_glyphs *tt_build_init (void);
extern void tt_build_finish (struct tt_glyphs *g);

extern void tt_add_to_used (struct tt_glyphs *g, USHORT gid, USHORT new_gid);
extern int tt_build_tables (sfnt *sfont, struct tt_glyphs *g);

#endif /* _TT_BUILD_H_ */
